<?php 
/**
*	文件管理
*/

class rockfileChajian extends Chajian{
	

	protected function initChajian()
	{
		$url = getconfig('rockfile_url');
		$this->agentkey = getconfig('rockfile_key');
		if(substr($url,-1)!='/')$url.='/';
		$this->updatekel = $url;
		$this->updatekey = $url.'api.php';
	}
	
	
	public function geturlstr($mod, $act, $can=array())
	{
		$url 	= $this->updatekey;
		$url.= '?m='.$mod.'&a='.$act.'';
		$url.= '&adminid='.$this->adminid.'';
		$url.= '&agentkey='.$this->agentkey.'';
		$url.= '&websign='.md5($this->rock->HTTPweb).'';
		foreach($can as $k=>$v)$url.='&'.$k.'='.$v.'';
		return $url;
	}

	
	/**
	*	get获取数据
	*/
	public function getdata($mod, $act, $can=array())
	{
		$url 	= $this->geturlstr($mod, $act, $can);
		$cont 	= c('curl')->getcurl($url);
		if(!isempt($cont) && contain($cont, 'success')){
			$data  	= json_decode($cont, true);
		}else{
			$data 	= returnerror('无法访问,'.$cont.'');
		}
		return $data;
	}
	
	/**
	*	post发送数据
	*/
	public function postdata($mod, $act, $can=array())
	{
		$url 	= $this->geturlstr($mod, $act);
		$cont 	= c('curl')->postcurl($url, $can);
		if(!isempt($cont) && contain($cont, 'success')){
			$data  	= json_decode($cont, true);
		}else{
			$data 	= returnerror('无法访问,'.$cont.'');
		}
		return $data;
	}
	
	/**
	*	同步保存到自己的库
	*/
	public function getsave($fnum)
	{
		if(!$fnum)return $fnum;
		$nums = '';
		$fanu = explode(',', $fnum);
		$ids  = '';
		foreach($fanu as $st1){
			if(is_numeric($st1)){
				$ids.=','.$st1.'';
			}else{
				$nums.=','.$st1.'';
			}
		}
		if($nums){
			$nums = substr($nums, 1);
			$barr = $this->getdata('upload','filesaveinfo',array('nums'=>$nums));
			return $barr;
		}else{
			return returnerror('error');
		}
	}
	
	/**
	*	获取文件信息
	*/
	public function getsavefile($ids)
	{
		$barr = $this->getdata('upload','filesaveinfo',array('ids'=>$ids));
		return $barr;
	}
	
	/**
	*	删除文件
	*/
	public function filedel($nums)
	{
		$barr = $this->getdata('upload','filedel',array('nums'=>$nums));
		return $barr;
	}
}