<?php
/**
*	cli模式运行可用 php api.php cli,run
*/
class cliClassAction extends apiAction
{
	public $logincheck = false;
	
	
	/**
	*	
	*/
	public function runAction()
	{
		return 'cli mode';
	}
	
	public function testAction()
	{
		$rand = $this->getparams('rand');
		c('cache')->set('pushtest', $rand, 10);
	}
	
	/**
	*	ip读取归属地
	*/
	public function ipstrAction()
	{
		$id = (int)$this->getparams('id','0');
		if($id==0)return;
		$prs= m('party')->getone($id);
		if(!$prs)return;
		$ip = $prs['ip'];
		if(isempt($ip) || !isempt($prs['city']))return;
		if($ip=='127.0.0.1' || contain($ip,'192.168') || contain($ip,'::1')){
			m('party')->update(array('sheng' => '本地'),$id);
			return;
		}
		$url = 'http://ip-api.com/json/'.$ip.'?lang=zh-CN';
		$result = c('curl')->getcurl($url);
		if($result){
			$barr = json_decode($result, true);
			if(arrvalue($barr,'status')=='success'){
				$sheng= $barr['regionName'];
				$city = $barr['city'];
				m('party')->update(array(
					'sheng' => $sheng,
					'city' => $city,
				),$id);
			}
		}
		return $result;
	}
	
	/**
	*	异步推送
	*/
	public function xmpushAction()
	{
		$wfuid = $this->getparams('wfuid');
		if(!$wfuid)return;
		$title = $this->getparams('title');
		$mess  = $this->getparams('mess');
		$fromhost  = $this->getparams('fromhost');
		$lhost = HOST;
		if(!$lhost)$lhost = $fromhost;
		if($lhost)$lhost  = $this->jm->base64encode($lhost);
		
		$rows  = m('login')->getall('`uid` in('.$wfuid.') and `ispush`=1');
		$hwarr = $xmarr = $iosarr = array();
		foreach($rows as $k=>$rs){
			$token = $rs['pushtoken'];
			if($rs['cfrom']=='appios'){
				$iosarr[] = $token;
			}else{
				if(contain($rs['web'],'huawei')){
					$hwarr[]= $token;
				}else{
					$xmarr[]= $token;
				}
			}
		}
		$msg = '';
		$cobj= c('xmpush');
		$lx	 = '';
		if($xmarr){
			if($cobj->sendandroidbool()){
				$msg = $cobj->androidsend($xmarr, $this->jm->base64decode($title), $this->jm->base64decode($mess));
			}else{
				$msg = c('xinhu')->getdata('send',array(
					'm' => 'apppush',
					'host'  => $lhost,
					'title' => $title,
					'mess'  => $mess,
					'xmarr' => join(',', $xmarr)
				), 1);
			}
			$lx = 'xmandroid';
		}
		if($iosarr){
			if($cobj->sendiossend()){
				$msg = $cobj->iossend($iosarr, $this->jm->base64decode($title), $this->jm->base64decode($mess));
			}else{
				$msg = c('xinhu')->getdata('send',array(
					'm' => 'apppush',
					'host'  => $lhost,
					'title' => $title,
					'mess'  => $mess,
					'iosarr' => join(',', $iosarr)
				), 1);
			}
			$lx = 'xmios';
		}
		if($hwarr){
			if($cobj->sendhuaweisend()){
				$msg = $cobj->hwandroidsend($hwarr, $this->jm->base64decode($title), $this->jm->base64decode($mess));
			}else{
				$msg = c('xinhu')->getdata('send',array(
					'm' => 'apppush',
					'host'  => $lhost,
					'title' => $title,
					'mess'  => $mess,
					'hwarr' => join(',', $hwarr)
				), 1);
			}
			$lx = 'huawei';
		}
		if($msg){
			$this->rock->debugs(array(
				'barrmsg' => $msg,
				'title'   => $title,
				'mess'    => $mess,
			), 'push_'.$lx.'');
		}
		
		return $msg;
	}
	
	//这个代码没用，不要去管，我们开发测试用的而已
	public function frontopenAction()
	{
		$sid 	 = $this->getparams('zixunid');
		$zxrs 	 = m('party')->getone($sid);
		if($zxrs){
			$cfrom = $zxrs['cfrom'];
			$karom = $zxrs['karom'];
			if($cfrom && substr($cfrom,0,3)=='dev'){
				$user = substr($cfrom,3);
				$urs  = m('users')->getone("`user`='$user' and `status`=1");
				if($urs){
					$sendid			 = $urs['id'];
					$this->adminid   = $sendid;
					$this->adminname = $urs['name'];
					$this->rock->adminid   = $sendid;
					$this->rock->adminname = $urs['name'];
					if($zxrs['uid']=='0')m('history')->addzixun($sid, $urs);
					m('users')->update('`zxid`='.$sid.'', $sendid);
					
					//if($zxrs['uid']=='0'){
						$strs = '';
						if($karom)$strs = '，关于模块插件“'.$this->jm->base64decode($karom).'”';
						$cont	= $this->jm->base64encode('您好'.$strs.'，有什么可以帮到你的吗？');
						m('history')->sendcont(0,$sid,$this->adminid, $cont,$this->now, 0);
					//}
					
				}
			}
		}
	}
}