<?php 
/**
*	信呼api
*/
class xinhuapiChajian extends Chajian{
	
	public function geturlstr($mod, $act, $can=array())
	{
		if(getconfig('systype')=='dev'){
			$this->updatekeys  = 'aHR0cDovLzEyNy4wLjAuMS9hcHAvcm9ja2FwaS8:';
		}else{
			$this->updatekeys  = 'aHR0cDovL2FwaS5yb2Nrb2EuY29tLw::';
		}
		$url	= $this->rock->jm->base64decode($this->updatekeys);
		
		$url.= '?m='.$mod.'&a='.$act.'';
		$url.= '&xinhukey='.getconfig('xinhukey').'&cfrom=rockkefu';
		foreach($can as $k=>$v)$url.='&'.$k.'='.$v.'';
		return $url;
	}
	
	public function recordchu($cont)
	{
		$data  	= array('code'=>201,'msg'=>'出错,返回:'.htmlspecialchars($cont).'');
		if($cont!='' && substr($cont,0,1)=='{'){
			$data  	= json_decode($cont, true);
		}
		return $data;
	}
	
	/**
	*	get获取数据
	*/
	public function getdata($mod, $act, $can=array())
	{
		$url 	= $this->geturlstr($mod, $act, $can);
		$cont 	= c('curl')->getcurl($url);
		return $this->recordchu($cont);
	}
	
	/**
	*	post发送数据
	*/
	public function postdata($mod, $act, $can=array())
	{
		$url 	= $this->geturlstr($mod, $act);
		$cont 	= c('curl')->postcurl($url, $can);
		return $this->recordchu($cont);
	}
	
	/**
	*	work文件在线预览通过官网插件
	*/
	public function officesend($fileid)
	{
		$yulx 	= ',doc,docx,xls,xlsx,ppt,pptx,';
		$frs 	= m('file')->getone($fileid);
		if(!$frs)return returnerror('文件不存在1');
		$filepath = $frs['filepath'];
		$fileext  = $frs['fileext'];
		$filepathout= arrvalue($frs, 'filepathout');
		$filesize = floatval($frs['filesize']);
		if(!contain($yulx,','.$fileext.','))return returnerror('不是文档类型');
		
		$pdfpath	= $frs['pdfpath'];
		if(!isempt($pdfpath) && file_exists($pdfpath))return returnerror('已转过了');
		$localpath	= $frs['filepath'];
		
		//如果是远程文件必须先下载到服务器
		if(substr($filepath, 0,4)=='http'){
			$localpath = ''.UPDIR.'/'.date('Y-m').'/'.date('d_His').''.rand(10,99).'_temp.'.$fileext.'';
			$this->rock->createtxt($localpath, @file_get_contents($filepath));
			if(!file_exists($localpath))return returnerror('无法下载远程文件，不能转换');
			$filesize = filesize($localpath);
			if($filesize==0)return returnerror('远程文件已损坏');
		}
		if(!file_exists($localpath))return returnerror('本地文件不存在了');
		
		$cache 	  = c('cache');
		$zhkey	  = 'filetopdf'.$fileid.'';
		$zhval    = $cache->get($zhkey);
		if(isempt($zhval)){
			$barr 	= $this->postdata('office','recedata', array(
				'data' 		=> $this->rock->jm->base64encode(file_get_contents($localpath)),
				'fileid' 	=> $fileid,
				'fileext'	=> $fileext,
				'filesize'	=> $filesize,
				'filesizecn'=> $frs['filesizecn'],
			));
		}else{
			$barr 	= returnsuccess();
		}
		
		if($barr['success']){
			$times = ceil($filesize/(20*1024))+10;
			if($times<10)$times = 10;
			$cache->set($zhkey,'true', $times+5);
			if(!is_array($barr['data']))$barr['data'] = array();
			$barr['data']['times'] 		= $times;
			$barr['data']['localpath'] 	= $this->rock->jm->base64encode($localpath);
		}
		
		return $barr;
	}
	
	public function officestatus($fileid)
	{
		$barr =  $this->getdata('office','getstatus', array(
			'fileid' => $fileid
		));
		return $barr;
	}
	
	public function officedown($fileid)
	{
		$barr =  $this->getdata('office','down', array(
			'fileid' => $fileid
		));
		if($barr['success']){
			$data 	 = $barr['data'];
			$pdfpath = $data['pdfpath'];
			$this->rock->createtxt($pdfpath, $this->rock->jm->base64decode($data['data']));
			m('file')->update(array(
				'pdfpath' => $pdfpath,
			),$fileid);
			$barr = returnsuccess();
		}
		return $barr;
	}
}                               