<?php
/**
*	对接信呼OA使用的
*/

class apiAction extends openapiAction {}

class openkefuClassAction extends openapiAction
{
	
	public function getapiObj()
	{
		include_once(''.ROOT_PATH.'/webmain/task/api/reimAction.php');
		return new reimClassAction();
	}
	
	public function initOpenapi()
	{
		$user = $this->get('user');
		$urs  = m('users')->getone("`user`='$user' and `status`=1");
		if(!$urs)$this->showreturn('', '用户不存在', 201);
		$this->getAdmininfo($urs['id']);
	}
	
	public function existsAction()
	{
		return returnsuccess();
	}
	
	/**
	*	获取首页消息
	*/
	public function indexAction()
	{
		$barr = array();
		$config['recid'] = getconfig('server_recid');
		$config['chehui']= (int)getconfig('server_chehui','0')*60;
		$config['wsurl'] = $this->jm->base64encode(getconfig('server_host'));
		$config['id'] 	 = $this->adminid;
		$config['name']  = $this->adminname;
		$barr 			 = m('party')->getList();
		$barr['config']  = $config;
		
		return returnsuccess($barr);
	}
	
	/**
	*	读取消息
	*/
	public function getrecordAction()
	{
		$barr = array();
		$barr['nowdt'] 		= time();
		$barr['servernow'] 	= $this->now;
		$barr['wdtotal'] 	= 0;
		$gid  	= (int)$this->get('gid');
		$minid	= (int)$this->get('minid','0');
		$lastdt	= $this->get('lastdt');
		$soulx	= $this->get('soulx');
		$soukey	= $this->get('soukey');
		
		$sendinfo = array(
			'id' => $this->adminid,
			'name' => $this->adminname,
			'face' => $this->adminrs['face'],
			'uploadurl' => c('rockfile')->geturlstr('upload','upfile', array(
				'noasyn' 	=> 'yes',
				'updir' 	=> 'kefu|'.date('Y-m').'',
				'thumb' 	=> 'url',
				'shuiyin'	=> 'size',
				'optid'	 	=> $this->adminid,
				'optname'	=> $this->jm->base64encode($this->adminname),
			))
		);
		$barr['sendinfo']  = $sendinfo;
		
		$zxrs 	= m('party')->getone($gid);
		$receinfor = array(
			'type'  => 'zixun',
			'id'	=> $gid,
			'name'	=> $zxrs['name'],
			'face'  => getface('images/noface.png')
		);
		$barr['receinfor'] = $receinfor;
		$rows		  = array();
		
		$uobj = m('users');
		$pobj = m('party');
		$fobj = m('file');
		
		$where 		  = '`type`=0 and ((`slx`=0 and `sendid`='.$gid.') or (`slx`=1 and `receid`='.$gid.') )';
		
		if($lastdt != ''){
			$where .= " and `optdt`>'$lastdt'";
		}
		
		if($soulx=='sou0')$where.=' and `fileid`>0 and `imgurl` is not null';
		if($soulx=='sou1')$where.=' and `fileid`>0 and `imgurl` is null';
		if($soukey)$where.=" and `cont` like '%".$soukey."%'";
		
		if($minid==0){
			$where .= ' order by `id` desc limit 5';
		}else{
			$where .= ' and `id`<'.$minid.' order by `id` desc limit 10';
		}
		
		$sql  		= 'select * from `[Q]mess` where '.$where.'';
		$systotal	= m('mess')->rows($where);
		$rows 		= $this->db->getall($sql);
		
		foreach($rows as $k1=>$rs1){
			$rows[$k1]['sendname'] = '';
			$rows[$k1]['face'] = $uobj->getface('');
			
			if($rs1['slx']=='1'){
				if($rs1['sendid']>0){
					$urs = $uobj->geturs($rs1['sendid']);
					$rows[$k1]['sendname'] = $urs['name'];
					$rows[$k1]['face'] = $urs['face'];
				}
			}
			if($rs1['slx']=='0'){
				$prs = $pobj->getInfo($rs1['sendid']);
				$rows[$k1]['sendname'] = arrvalue($prs,'name');
			}
			
			if($rs1['fileid']>0){
				$frs = $fobj->getXinxi($rs1['fileid'],'id,fileext,thumbpath,filename,filesizecn,filepath');
				if($frs && file_exists($frs['filepath'])){
					unset($frs['filepath']);
					$rows[$k1]['filers'] = $frs;
				}
			}
			
			$filers				  = false;
			if(!isempt($rs1['fileinfo'])){
				$filers = json_decode($rs1['fileinfo'], true);
				$filers['fileid'] 	= $filers['filenum'];
			}
			if(!isempt($rs1['imgurl'])){
				if(!$filers)$filers = array(
					'fileext'	=> 'png',
					'fileid' 	=> 0,
				);
				$filers['thumbpath']=$rs1['imgurl'];
			}
			if($filers)$rows[$k1]['filers'] = $filers;
			unset($rows[$k1]['fileinfo']);
			$systotal--;
		}
		
		$barr['rows'] = $rows;
		$barr['systotal'] 	= $systotal;
		
		m('history')->yidu('zixun',$gid);
		
		return returnsuccess($barr);
	}
	
	public function clearrecordAction()
	{
		return returnsuccess();
	}
	
	public function delhistoryAction()
	{
		$gid  	= (int)$this->get('gid');
		m('history')->delchat('zixun',$gid);
		return returnsuccess();
	}
	
	public function yiduallAction()
	{
		$gid  	= (int)$this->get('gid');
		m('history')->yidu('zixun',$gid);
		return returnsuccess();
	}
	
	//发消息
	public function sendinforAction()
	{
		$gid  	= (int)$this->post('gid');
		$fileid = (int)$this->post('fileid');
		$cont 	= $this->post('cont');
		return m('history')->sendcont(0,$gid,$this->adminid, $cont,$this->now, $fileid);
	}
	
	//撤回
	public function chehuimessAction()
	{
		$gid 	= (int)$this->get('gid');
		$type 	= 'zixun';
		$ids 	= (int)$this->get('ids');
		$barr 	= m('history')->chehuimess($type, $gid, $ids, $this->adminid, 1);
		if(is_array($barr))return returnsuccess($barr);
		return returnerror($barr);
	}
	
	//添加咨询
	public function addzixunAction()
	{
		$sid  	= (int)$this->get('sid');
		return m('history')->addzixun($sid, $this->adminrs);
	}
	
	//获取客服
	public function getkefuAction()
	{
		return $this->getapiObj()->getkefuAction();
	}
	
	//保存客服
	public function savekefuAction()
	{
		return $this->getapiObj()->savekefuAction();
	}
	
	public function savezixunAction()
	{
		return $this->getapiObj()->savezixunAction();
	}
	
	public function getzxinfoAction()
	{
		$sid  	= (int)$this->get('sid');
		
		$uobj = m('users');
		$pobj = m('party');
		
		$prinfo = $pobj->getInfo($sid);
		$barr['online'] = $prinfo['online'];
		$agrs = m('agent')->getXinxi($prinfo['agentid']);
		$prinfo['agentna'] = '<img src="'.$agrs['picurl'].'" align="absmiddle" height="16" width="16" style="border-radius:50%"> '.$agrs['name'];
		$prinfo['kefu']	= '';
		if($prinfo['uid']>0){
			$kfrs = $uobj->geturs($prinfo['uid']);
			$prinfo['kefu'] = '<img src="'.$kfrs['face'].'" align="absmiddle" height="16" width="16" style="border-radius:50%"> '.$kfrs['name'];
			if(!isempt($kfrs['ranking']))$prinfo['kefu'].='<font color="gray">('.$kfrs['ranking'].')</font>';
		}
		$prinfo['city'] = $prinfo['sheng'].$prinfo['city'];
		$barr['prinfo'] = $prinfo;
		$barr['prfies'] = array(
			'name' => lang('name'),
			'agentna' => lang('agentna'),
			'web' 	=> lang('web'),
			'ip' 	=> lang('ip'),
			'adddt' => lang('adddt'),
			'kefu'  => lang('kefu'),
			'city'  => lang('city'),
			'jibie'  => lang('jibie'),
			'cfrom' => lang('cfrom'),
			'mobile' => lang('mobile'),
			'qq' 	=> lang('qq'),
			'email' => lang('email'),
			'address' => lang('address'),
			'remark'  => lang('remark'),
		);
		$barr['agentid'] = $prinfo['agentid'];
		
		return returnsuccess($barr);
	}
}	